1. eSIM
SimplySIM API
  • SimplySIM API Documentation
  • Customer
    • Login
      POST
    • Login via Key
      GET
    • Show User Details
      GET
    • Logout
      GET
  • Destination
    • Destinations
      GET
    • Specific Destination
      GET
  • eSIM
    • List User eSIMS
      GET
    • Get User eSIM
      GET
    • Get ESIM from Key
      GET
  1. eSIM

Get User eSIM

Developing
GET
sim/{es_id}
Must be logged in to view the sim details

Request

Path Params

Header Params

Responses

🟢200OK
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://simplysim.co.uk/api/sim/28' \
--header 'X-Api-Key: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.IiI.JewV4wLVvjmGd7cvZh3bUO0DSXNO32Nc7_W8m4C8qtQ'
Response Response Example
{
    "success": true,
    "statusCode": 200,
    "message": "",
    "data": {
        "user_ID": "4",
        "user_firstname": "Saeed",
        "user_surname": "Arabpour",
        "es_id": "18",
        "es_oh_id": "301114",
        "es_oc_id": null,
        "es_name": "Morocco 5GB 30Days",
        "es_slug": "MA_5_30",
        "es_user_ID": "4",
        "es_status": "Cancelled",
        "es_unlimited_days": "0",
        "es_esimTranNo": "25030520050004",
        "es_orderNo": "B25030520050004",
        "es_imsi": "232104070633360",
        "es_iccid": "8943108170006333608",
        "es_msisdn": "4367844454360",
        "es_smsStatus": "1",
        "es_dataType": "1",
        "es_ac": "LPA:1$rsp-eu.redteamobile.com$75DDE39D6D7C4D098367CEEBB8D95611",
        "es_qrCodeUrl": "https://p.qrsim.net/062af8ffd9a64853bf15367d72c7e6ba.png",
        "es_shortUrl": "https://p.qrsim.net/062af8ffd9a64853bf15367d72c7e6ba",
        "es_smdpStatus": "DISABLED",
        "es_eid": "89049032007408882600198125107961",
        "es_activeType": "2",
        "es_expiredTime": "2025-09-01 20:05:25",
        "es_totalVolume": "2147483647",
        "es_totalDuration": "30",
        "es_durationUnit": "DAY",
        "es_orderUsage": "0",
        "es_pin_puk_apn": "drei.at",
        "es_esimStatus": "CANCEL",
        "es_created": "2025-03-05 20:04:20",
        "es_changed": "2025-03-05 20:42:03",
        "es_enabled": "1",
        "es_sent": "0"
    },
    "timestamp": "2025-05-22T11:22:17+01:00"
}
Modified at 2025-05-22 20:34:35
Previous
List User eSIMS
Next
Get ESIM from Key
Built with